Uploaded image for project: 'Funtoo Linux'
  1. Funtoo Linux
  2. FL-8993

package.accept_keywords has no effect on packages with KEYWORDS="next"

Details

    • Bug
    • Status: Work Queue
    • Normal
    • Resolution: Unresolved
    • None

    Description

      After the recent changes to debian-sources (5.14 being unmasked for next), the latest version is no longer unmasked for me with `sys-kernel/debian-sources **` in /etc/portage/package.accept_keywords.

      Running a world update tries to install 5.10 again. Interestingly enough, specifying a specific version, e.g. `emerge =debian-sources-5.14*` works and Portage doesn't complain. Looks like it's just not being selected by default for some reason.

      Attachments

        Activity

          People

            Unassigned Unassigned
            invakid404 invakid404
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated: